#!/usr/bin/php
<?php

use Wildix\CallRecordings;
use Wildix\Core\Container;

set_include_path('/var/www');
require_once('init.php');

$_scriptName = $argv[0];

// create system log handler
$syslog = new Syslog($_scriptName);

$_cdrConfData = \Wildix\Settings\CDR\General::getInstance()->get();

// voice mails
if (!empty ($_cdrConfData['deleteVoicemailAfter'])) {
	try {
        \Wildix\VoiceMail\VoiceMails::getInstance()->deleteAllVoiceMailsAfter($_cdrConfData['deleteVoicemailAfter']);
    } catch (\Exception $exception){
        $syslog->warning(__LINE__, $exception->getMessage());
	}
}

// call recordings
if (!empty ($_cdrConfData['deleteRecordingAfter'])) {
	$callRecs = Container::get(CallRecordings::class);
	try {
        $callRecs->deleteAllCallRecordingsAfter($_cdrConfData['deleteRecordingAfter']);
    } catch (Exception $exception){
        $syslog->warning(__LINE__, $exception->getMessage());
	}
}
